> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get category by ID

> Retrieves a category using its ID Deprecated. Use https://graphql.enad.io instead.



## OpenAPI

````yaml /swagger/shopper-api.json get /api/v1/omni/:app_id/:store_group/:market/:locale/category-tree/id/:category_id
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: >-
    This is the documentation for Public API v1. All endpoints in this API are
    deprecated. Use https://graphql.enad.io instead.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //shopper-cdn.enad.io
security: []
paths:
  /api/v1/omni/:app_id/:store_group/:market/:locale/category-tree/id/:category_id:
    get:
      tags:
        - Categories
      summary: Get category by ID
      description: >-
        Retrieves a category using its ID Deprecated. Use
        https://graphql.enad.io instead.
      parameters:
        - description: App ID
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: Category ID
          in: path
          name: category_id
          required: true
          schema:
            type: string
        - description: Locale for translations
          in: path
          name: locale
          required: true
          schema:
            type: string
        - description: Market to select products
          in: path
          name: market
          schema:
            type: string
          required: true
        - description: 'Page number (default: 1)'
          in: query
          name: page
          schema:
            type: integer
        - description: Store group
          in: path
          name: store_group
          required: true
          schema:
            type: string
        - description: Filter only active products
          in: query
          name: only_active
          schema:
            type: boolean
        - description: 'Items per page (default: 20) (max: 20)'
          in: query
          name: per_page
          schema:
            type: integer
        - description: Fetch all child categories products as well
          in: query
          name: include_child_category_products
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/OkResponse-CategoryDTOWithPaginatedProducts
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
      deprecated: true
      security:
        - BearerAuth: []
components:
  schemas:
    OkResponse-CategoryDTOWithPaginatedProducts:
      properties:
        data:
          $ref: '#/components/schemas/CategoryDTOWithPaginatedProducts'
      type: object
    ErrorMessage:
      description: ErrorMessage is the response for a ErrorMessage
      properties:
        message:
          type: string
      type: object
    CategoryDTOWithPaginatedProducts:
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        cover_url:
          type: string
        full_path_name:
          items:
            type: string
          type: array
        full_uri_translations:
          additionalProperties:
            type: string
          type: object
        id:
          type: string
        name:
          type: string
        parent_id:
          type: string
        products:
          $ref: >-
            #/components/schemas/OkResponseWithPagignation-array_ProductDTOWithShortRelatedProduct
        redirects:
          additionalProperties:
            type: string
          type: object
        slug_translations:
          additionalProperties:
            type: string
          type: object
        sort_order:
          type: integer
        status:
          type: string
        sub_categories:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.CategoryDTO
          type: array
        uri:
          type: string
      type: object
    AttributeDTO:
      description: >-
        AttributeDTO represents the data transfer object for an attribute with
        its values.
      properties:
        description:
          type: string
        id:
          type: string
        key:
          type: string
        name:
          type: string
        values:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeValueDTO'
            type: array
          type: object
      type: object
    OkResponseWithPagignation-array_ProductDTOWithShortRelatedProduct:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ProductDTOWithShortRelatedProduct'
          type: array
        page:
          type: integer
        total:
          type: integer
        total_pages:
          type: integer
      type: object
    github_com_enadhq_goomba_internal_pkg_models.CategoryDTO:
      description: CategoryDTO represents the data transfer object for a category.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        cover_url:
          type: string
        full_path_name:
          items:
            type: string
          type: array
        full_uri_translations:
          additionalProperties:
            type: string
          type: object
        id:
          type: string
        name:
          type: string
        parent_id:
          type: string
        redirects:
          additionalProperties:
            type: string
          type: object
        slug_translations:
          additionalProperties:
            type: string
          type: object
        sort_order:
          type: integer
        status:
          type: string
        sub_categories:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.CategoryDTO
          type: array
        uri:
          type: string
      type: object
    AttributeValueDTO:
      description: >-
        AttributeValueDTO represents the data transfer object for an attribute
        value with type information.
      properties:
        image:
          $ref: '#/components/schemas/ImageDTO'
        type:
          type: string
        value:
          type: string
      type: object
    ProductDTOWithShortRelatedProduct:
      description: ProductDTOWithBundles extends ProductDTO to include associated bundles.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        brands:
          $ref: '#/components/schemas/ProductBrand'
        categories:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.ProductCategoryDTO
          type: array
        collections:
          items:
            $ref: '#/components/schemas/ProductCollectionDTO'
          type: array
        created_at:
          type: string
        custom_fields:
          additionalProperties:
            type: string
          type: object
        description:
          type: string
        files:
          items:
            $ref: '#/components/schemas/FileDTO'
          type: array
        html_description:
          type: string
        html_short_description:
          type: string
        id:
          type: string
        images:
          items:
            $ref: '#/components/schemas/ImageDTO'
          type: array
        in_stock:
          type: boolean
        is_active:
          type: boolean
        meta_description:
          type: string
        meta_title:
          type: string
        product_name:
          type: string
        product_number:
          type: string
        rank:
          type: number
        redirects:
          additionalProperties:
            type: string
          type: object
        related_products:
          items:
            $ref: '#/components/schemas/ProductDTOWithRelatedProductSummary'
          type: array
        short_description:
          type: string
        slug:
          type: string
        slug_translations:
          additionalProperties:
            type: string
          type: object
        status:
          type: string
        tags:
          items:
            $ref: '#/components/schemas/ProductTagDTO'
          type: array
        third_party_links:
          items:
            $ref: '#/components/schemas/ThirdPartyLinkDTO'
          type: array
        updated_at:
          type: string
        variants:
          items:
            $ref: '#/components/schemas/VariantDTO'
          type: array
        videos:
          items:
            $ref: '#/components/schemas/VideoDTO'
          type: array
      type: object
    ImageDTO:
      description: ImageDTO represents the data transfer object for an image.
      properties:
        alt:
          type: string
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        blurhash:
          type: string
        custom_fields:
          additionalProperties:
            type: string
          type: object
        sort:
          type: integer
        title:
          type: string
        url:
          type: string
      type: object
    ProductBrand:
      description: ProductBrand represents a brand with an optional series.
      properties:
        address:
          $ref: '#/components/schemas/BrandAddress'
        name:
          type: string
        series:
          $ref: '#/components/schemas/ProductSeries'
        slug:
          type: string
      type: object
    github_com_enadhq_goomba_internal_pkg_models.ProductCategoryDTO:
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        cover_url:
          type: string
        full_path_name:
          items:
            type: string
          type: array
        full_uri_translations:
          additionalProperties:
            type: string
          type: object
        id:
          type: string
        name:
          type: string
        order:
          type: integer
        parent_id:
          type: string
        redirects:
          additionalProperties:
            type: string
          type: object
        slug_translations:
          additionalProperties:
            type: string
          type: object
        sort_order:
          type: integer
        status:
          type: string
        sub_categories:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.CategoryDTO
          type: array
        uri:
          type: string
      type: object
    ProductCollectionDTO:
      description: >-
        ProductCollectionDTO represents the data transfer object for a
        collection.
      properties:
        children:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.CollectionDTO
          type: array
        id:
          type: string
        order:
          type: integer
        parent_id:
          type: string
        title:
          type: string
        uri:
          type: string
      type: object
    FileDTO:
      description: FileDTO represents the data transfer object for a file.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        title:
          type: string
        type:
          type: string
        url:
          type: string
      type: object
    ProductDTOWithRelatedProductSummary:
      description: ProductDTOWithBundles extends ProductDTO to related product summary
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        id:
          type: string
        image:
          type: string
        product_name:
          type: string
        product_number:
          type: string
        slug:
          type: string
        type:
          type: string
      type: object
    ProductTagDTO:
      description: >-
        ProductTagDTO represents the data transfer object for a tag with
        simplified market information.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        created_at:
          type: string
        filterable:
          type: boolean
        id:
          type: string
        key:
          type: string
        name:
          type: string
        order:
          type: integer
        status:
          type: string
        updated_at:
          type: string
      type: object
    ThirdPartyLinkDTO:
      description: >-
        ThirdPartyLinkDTO represents a third-party link in its data transfer
        object form.
      properties:
        id:
          type: string
        title:
          type: string
        type:
          type: string
        url:
          type: string
      type: object
    VariantDTO:
      description: VariantDTO represents the data transfer object for a product variant.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        custom_fields:
          additionalProperties:
            type: string
          type: object
        description:
          type: string
        dimensions:
          $ref: '#/components/schemas/Dimensions'
        id:
          type: string
        image_url:
          type: string
        images:
          items:
            $ref: '#/components/schemas/ImageDTO'
          type: array
        inventories:
          items:
            $ref: '#/components/schemas/ProductInventoryWithInformation'
          type: array
        is_active:
          type: boolean
        packaging_dimensions:
          $ref: '#/components/schemas/Dimensions'
        prices:
          items:
            $ref: '#/components/schemas/VariantPricesDTO'
          type: array
        shipping_attributes:
          items:
            type: string
          type: array
        tags:
          items:
            $ref: '#/components/schemas/TagDTO'
          type: array
        validate_stock:
          type: boolean
        variant_name:
          type: string
        variant_number:
          type: string
        videos:
          items:
            $ref: '#/components/schemas/VideoDTO'
          type: array
      type: object
    VideoDTO:
      description: VideoDTO represents the data transfer object for a video.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        description:
          type: string
        title:
          type: string
        url:
          type: string
      type: object
    BrandAddress:
      description: BrandAddress represents the address information for a brand.
      properties:
        city:
          type: string
        co_address:
          type: string
        country:
          type: string
        email:
          type: string
        house_number:
          type: string
        postal_code:
          type: string
        state_province:
          type: string
        street_address:
          type: string
      type: object
    ProductSeries:
      description: ProductSeries represents a series within a product brand.
      properties:
        name:
          type: string
        slug:
          type: string
      type: object
    github_com_enadhq_goomba_internal_pkg_models.CollectionDTO:
      description: CollectionDTO represents the data transfer object for a collection.
      properties:
        children:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.CollectionDTO
          type: array
        id:
          type: string
        parent_id:
          type: string
        title:
          type: string
        uri:
          type: string
      type: object
    Dimensions:
      description: >-
        Dimensions represents the physical measurements of a product or its
        packaging.
      properties:
        capacity_milliliter:
          type: integer
        depth:
          type: integer
        diameter:
          type: integer
        height:
          type: integer
        length:
          type: integer
        weight:
          type: integer
        width:
          type: integer
      type: object
    ProductInventoryWithInformation:
      description: >-
        ProductInventoryWithInformation represents inventory data along with its
        warehouse information.
      properties:
        inventory_date:
          type: string
        quantity:
          type: integer
        warehouse:
          $ref: '#/components/schemas/Warehouse'
      type: object
    VariantPricesDTO:
      description: >-
        VariantPricesDTO extends VariantPrices with additional store group
        information.
      properties:
        channel_type:
          $ref: >-
            #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.ChannelType
        country_of_sale:
          type: string
        markets:
          items:
            $ref: '#/components/schemas/MarketPriceDTO'
          type: array
        store_group_description:
          type: string
        store_group_id:
          type: string
        store_group_name:
          type: string
        store_group_slug:
          type: string
      type: object
    TagDTO:
      description: >-
        TagDTO represents the data transfer object for a tag with simplified
        market information.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        created_at:
          type: string
        filterable:
          type: boolean
        id:
          type: string
        key:
          type: string
        name:
          type: string
        status:
          type: string
        updated_at:
          type: string
      type: object
    Warehouse:
      description: Warehouse represents a storage facility for product inventory.
      properties:
        address:
          $ref: '#/components/schemas/Address'
        description:
          type: string
        id:
          type: string
        name:
          type: string
      type: object
    github_com_enadhq_goomba_internal_pkg_models.ChannelType:
      enum:
        - B2B
        - B2C
      type: string
      x-enum-varnames:
        - B2B
        - B2C
    MarketPriceDTO:
      description: >-
        MarketPriceDTO extends MarketPrice with additional tax-related
        information.
      properties:
        base_price_amount:
          type: number
        country_code:
          type: string
        country_codes:
          items:
            type: string
          type: array
        currency:
          type: string
        id:
          type: string
        market_id:
          type: string
        market_slug:
          type: string
        on_sale:
          type: boolean
        reference_price_amount:
          type: number
        sale_end_timestamp:
          type: string
        sale_price_amount:
          type: number
        sale_start_timestamp:
          type: string
      type: object
    Address:
      description: >-
        Address represents a physical location with detailed address
        information.
      properties:
        city:
          type: string
        country:
          type: string
        postal_code:
          type: string
        region:
          type: string
        street_address:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and a token.
      in: header
      name: Authorization
      type: apiKey

````